Skip to main content
POST
/
v1
/
replace-actors
/
generations
Create Replace Actor generation job
curl --request POST \
  --url https://api.turboads.ai/v1/replace-actors/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "project_id": "<string>",
  "image_url": "<string>",
  "video_url": "<string>",
  "prompt": "<string>",
  "duration": 30,
  "aspect_ratio": "9:16"
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.turboads.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:ta_live_your_api_key
required

Use a Developer API key from Settings > Developers.

Body

application/json
project_id
string
required
image_url
string<uri>
required
video_url
string<uri>
required
prompt
string
duration
number
default:30
Required range: 3 <= x <= 30
aspect_ratio
enum<string>
default:9:16
Available options:
1:1,
9:16,
16:9

Response

200

Created Replace Actor generation job